Bank Aceh - Support #478

[HR] Travel Validation to Payroll
10/06/2021 10:40 AM - Kezia Pawitra Yulianti

Status: Closed Start date: 10/06/2021
Priority: High Due date: 10/15/2021
Assignee: M Azid Wahyudi % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Yomma,

sesuai diskusi untuk proses saving travel dgn status settlement perlu untuk dibuatkan fungsi yg membaca payroll control dalam
posisi start. Maka saat travel settlement di saving, tidak bisa dilakukan saving karena juga ada saving ke PHRPA0005

Dibuatkan warning message yg sama dgn message payroll start yg ada di modul Payroll

Tks

History

#1 - 10/06/2021 10:42 AM - Kezia Pawitra Yulianti

- Status changed from New to Assigned

#2 - 10/07/2021 02:52 PM - Tri Rizqiaty

- Status changed from Assigned to Developing

#3 - 10/07/2021 03:00 PM - Tri Rizqiaty
- Status changed from Developing to QA Test

- Assignee changed from Tri Rizqiaty to Kezia Pawitra Yulianti

Fixing :

1. Penambahan SP : PDSTVCHECKPAYCONTROL

2. Penambahan di table : SDATATABLE, SDATATABLEFIELD, SDATASOURCE : PDSTVCHECKPAYCONTROL
3. Penambahan di API2-Bin : MinovalS.MinovaES.Implementation.TV.Validation.dll

4. Perubahan di Ul-app-controller-masterdata-travel : ctrltravel.js

Tolong ditest ya

#4 - 10/11/2021 09:44 AM - Kezia Pawitra Yulianti
- Status changed from QA Test to Revise

- Assignee changed from Kezia Pawitra Yulianti to Tri Rizqiaty

Dear Yomma,

berikut hasil testnya ya:

1. Saat add travel dgn status plan dan payroll control status start, masih meng update PHRPAO015 dgn retrodate dan correction statusnya.
Sebaiknya saat status plan tidak perlu update PHRPAQ015

2. Saat merubah travel status menjadi settlement dan payroll control status start, masih mengupdate juga PHRPAO0015 dgn retrodate dan correction
statusnya. Sebaiknya saat payroll controll status start tidak bisa input/rubah data travel dgn status settlement

Dan muncul message notifikasinya saat tidak bisa add travel dgn status settlement

For info, employee yg di coba adalah 00002069 dgn data travel yg sudah di input adalah tanggal 10 agustus 2021 dan 17 agustus 2021
Thanks,

#5 - 10/12/2021 11:52 AM - Tri Rizqgiaty

Fixing:

1. Update dll di folder API-bin : MinovalS.MinovaES.Business.TR.dII
2. Update SP : PDSTVCHECKPAYCONTROL
#6 - 10/12/2021 11:52 AM - Tri Rizqgiaty
- Status changed from Revise to QA Test

- Assignee changed from Tri Rizqgiaty to Kezia Pawitra Yulianti

#7 - 10/13/2021 03:25 PM - Kezia Pawitra Yulianti
- File clipboard-202110131522-tjhur.png added
- Status changed from QA Test to Revise

- Assignee changed from Kezia Pawitra Yulianti to Tri Rizgiaty

Dear Yomma,

untuk validasinya sudah muncul dr travel ke payroll jika payroll control start.

Namun ada sedikit koreksi terkait dgn tanggal/start date end date yg ada di PHRPAQOOS saat generate wtnya tanggalnya masih ada yg harus
diperbaiki. berikut capture yg ada saat ini yg masih belum sesuai

10/08/2021  11/08/2021  2017-Uang Saku Perdin (+)  1.00000 532.000 Rp Direct Yes Generate from Travel
02/08/2021 04/08/2021 2017-Uang Saku Perdin (+)  1.00000 798.000 Rp Direct Yes Generate from Travel

Seharusnya kalau additional payroll start date dan end date disamakan saja (satu tanggal saja dan ambil dr start date yg ada di travel), jangan sesuai
dgn tanggal travel (end datenya tidak perlu diambil)

Contoh: jika start date travel 2 agt 2021 dan end date 4 agt 2021, maka yg di generate di additional payroll start date dan end datenya 2 agt 2021
saja.

Demikian, thanks ya
#8 - 10/18/2021 02:40 PM - Tri Rizqiaty

- Status changed from Revise to QA Test

- Assignee changed from Tri Rizqiaty to Kezia Pawitra Yulianti

Fixing :

Perubahan di folder API-bin : MinovalS.MinovaES.Business.TR.dll

#9 - 10/28/2021 04:03 PM - Kezia Pawitra Yulianti

- Status changed from QA Test to Deploy

- Assignee changed from Kezia Pawitra Yulianti to dian perdana putra

ok Yoms, done

@Putra/Bintar: minta tolong di update ya ke port client di Aceh untuk perubahan ini, pls koordinasi dgn Aufa untuk issue ini.
Tks

#10 - 10/10/2022 01:58 PM - Muhammad Bintar

- Status changed from Deploy to Closed
- Assignee changed from dian perdana putra to M Azid Wahyudi

Files

clipboard-202110131522-tjhur.png 11 KB 10/13/2021 Kezia Pawitra Yulianti
